Bug 1015809 - [abrt] NetworkManager-0.9.8.2-8.git20130709.fc19: ip4_match_config: Process /usr/sbin/NetworkManager was killed by signal 11 (SIGSEGV)
[abrt] NetworkManager-0.9.8.2-8.git20130709.fc19: ip4_match_config: Process /...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:22b4b8cb34a712bc1d46873e6f1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 14:25 EDT by Joseph D. Wagner
Modified: 2013-11-20 08:53 EST (History)
2 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.8.8-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-20 08:53:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (17.08 KB, text/plain)
2013-10-05 14:25 EDT, Joseph D. Wagner
no flags Details
File: cgroup (175 bytes, text/plain)
2013-10-05 14:25 EDT, Joseph D. Wagner
no flags Details
File: core_backtrace (9.59 KB, text/plain)
2013-10-05 14:25 EDT, Joseph D. Wagner
no flags Details
File: dso_list (3.80 KB, text/plain)
2013-10-05 14:25 EDT, Joseph D. Wagner
no flags Details
File: environ (115 bytes, text/plain)
2013-10-05 14:25 EDT, Joseph D. Wagner
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-05 14:25 EDT, Joseph D. Wagner
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-05 14:25 EDT, Joseph D. Wagner
no flags Details
File: maps (18.27 KB, text/plain)
2013-10-05 14:25 EDT, Joseph D. Wagner
no flags Details
File: open_fds (2.17 KB, text/plain)
2013-10-05 14:25 EDT, Joseph D. Wagner
no flags Details
File: proc_pid_status (898 bytes, text/plain)
2013-10-05 14:25 EDT, Joseph D. Wagner
no flags Details
File: var_log_messages (10.66 KB, text/plain)
2013-10-05 14:25 EDT, Joseph D. Wagner
no flags Details

  None (edit)
Description Joseph D. Wagner 2013-10-05 14:25:26 EDT
Version-Release number of selected component:
NetworkManager-0.9.8.2-8.git20130709.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: ip4_match_config
executable:     /usr/sbin/NetworkManager
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (9 frames)
 #1 ip4_match_config at nm-device.c:5340
 #2 nm_device_match_ip_config at nm-device.c:5410
 #3 connection_match_config at nm-device-wired.c:407
 #5 add_device at nm-manager.c:1910
 #6 udev_device_added_cb at nm-manager.c:2311
 #7 _nm_marshal_VOID__POINTER_POINTER_POINTER_POINTER_INT at nm-marshal.c:313
 #12 net_add at nm-udev-manager.c:481
 #13 nm_udev_manager_query_devices at nm-udev-manager.c:533
 #14 nm_manager_start at nm-manager.c:3770
Comment 1 Joseph D. Wagner 2013-10-05 14:25:29 EDT
Created attachment 808180 [details]
File: backtrace
Comment 2 Joseph D. Wagner 2013-10-05 14:25:32 EDT
Created attachment 808181 [details]
File: cgroup
Comment 3 Joseph D. Wagner 2013-10-05 14:25:34 EDT
Created attachment 808182 [details]
File: core_backtrace
Comment 4 Joseph D. Wagner 2013-10-05 14:25:37 EDT
Created attachment 808183 [details]
File: dso_list
Comment 5 Joseph D. Wagner 2013-10-05 14:25:39 EDT
Created attachment 808184 [details]
File: environ
Comment 6 Joseph D. Wagner 2013-10-05 14:25:41 EDT
Created attachment 808185 [details]
File: exploitable
Comment 7 Joseph D. Wagner 2013-10-05 14:25:44 EDT
Created attachment 808186 [details]
File: limits
Comment 8 Joseph D. Wagner 2013-10-05 14:25:46 EDT
Created attachment 808187 [details]
File: maps
Comment 9 Joseph D. Wagner 2013-10-05 14:25:49 EDT
Created attachment 808188 [details]
File: open_fds
Comment 10 Joseph D. Wagner 2013-10-05 14:25:51 EDT
Created attachment 808189 [details]
File: proc_pid_status
Comment 11 Joseph D. Wagner 2013-10-05 14:25:53 EDT
Created attachment 808190 [details]
File: var_log_messages
Comment 12 Jirka Klimes 2013-10-17 09:19:56 EDT
From messages:
Sep 25 13:38:11 localhost NetworkManager[704]: Error parsing file '/etc/NetworkManager/NetworkManager.conf': Key file does not start with a group
...
Sep 25 13:40:13 localhost NetworkManager[710]: <warn> No usable DHCP client found! DHCP configurations will fail.

Your installation seems broken - do you have dhclient installed?

The bug is fixed upstream:
b73b963939a0b819f4c3a32749d79b294e88fe98 (nm-0-9-8)
fbf2ca9ec3176ff07fd5f9f40ca137ec71cfd53e (master)

The fix for Fedora 19 should appear in the next update.

Note You need to log in before you can comment on or make changes to this bug.